/**
 * @copyright Copyright (c) 2021 Louis Chemineau <louis@chmn.me>
 *
 * @author Louis Chemineau <louis@chmn.me>
 *
 * @license GPL-3.0-or-later
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Affero General Public License as
 * published by the Free Software Foundation, either version 3 of the
 * License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU Affero General Public License for more details.
 *
 * You should have received a copy of the GNU Affero General Public License
 * along with this program. If not, see <http://www.gnu.org/licenses/>.
 *
 */
import { mount } from '@vue/test-utils'
// eslint-disable-next-line node/no-unpublished-import
import 'regenerator-runtime/runtime.js'

import ActivityTab from '../views/ActivityTab.vue'

test('Create ActivityTab', async () => {
	const wrapper = mount(ActivityTab, {})

	expect(wrapper.vm.$data.activities.length).toBe(0)

	await wrapper.vm.update({ id: 'test' })

	expect(wrapper.vm.$data.activities.length).toBe(18)
})
